For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETList Tasks
      • POSTCreate a New Task
      • GETGet Task Details
      • POSTUpdate a Task
      • DELDelete Task
      • GETFetch Token Report
      • GETFetch Usage Report
      • GETFetch Timing Report
      • GETFetch Credit Report
      • GETList Task Runs
      • POSTRun Task
      • GETIAM - List Task Members
      • GETIAM - Lookup Task Member
      • POSTIAM - Update Task Member
      • POSTIAM - Test Task Permissions
      • GETFetch a user submitted file (image or audio) for a given Task Run
      • GETFetch a Task Run
      • GETList Project Task Runs
      • GETList Project Recent Task Runs By Task
      • GETGet Project Task Timing Report
      • GETGet Project Task Usage Report
      • GETList Project Task Shares
      • GETList Task Shares
      • POSTCreate Task Share
      • DELRevoke Task Share
      • POSTClone Shared Task
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceTasks

Create Task Share

POST
/org/:org_id/project/:project_id/task/:task_id/share
POST
/api/v1/org/:org_id/project/:project_id/task/:task_id/share
$curl -X POST https://app.rightbrain.ai/api/v1/org/123e4567-e89b-12d3-a456-426614174000/project/123e4567-e89b-12d3-a456-426614174001/task/01909843-3596-da54-4756-28af46917e74/share \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "max_uses": 100,
> "allow_inputs": false
>}'
1{
2 "id": "string",
3 "task_id": "string",
4 "task_revision_id": "string",
5 "user_id": "string",
6 "task_name": "string",
7 "short_id": "string",
8 "share_url": "string",
9 "views_count": 1,
10 "active": true,
11 "created": "string",
12 "modified": "string",
13 "title": "string",
14 "description": "string",
15 "expires_at": "string",
16 "task_run_id": "string",
17 "tags": [
18 {
19 "name": "production",
20 "entity_type": "task",
21 "id": "string",
22 "created_at": "string",
23 "is_project_tag": true,
24 "is_global_tag": true,
25 "parent_id": "01909843-3596-da54-4756-28af46917e74",
26 "project_id": "string",
27 "children": [
28 null
29 ],
30 "tagged_entities": [
31 "string"
32 ]
33 }
34 ]
35}
Create a shareable link for a task. Share links allow external users to: - View task details without authentication - Run tasks with pre-configured inputs - Access task results Configure share settings: - Expiration time (in hours) - Usage limits (maximum number of uses) - Custom short link identifier (optional) - Allowed inputs - Output visibility RAG-backed Task revisions are not currently shareable because their collections are project-local. MCP-backed Task revisions can be shared; clone copies or reuses MCP server and tool metadata without copying credentials.
Was this page helpful?
Previous

Revoke Task Share

Next
Built with

Create a shareable link for a task.

Share links allow external users to:

  • View task details without authentication
  • Run tasks with pre-configured inputs
  • Access task results

Configure share settings:

  • Expiration time (in hours)
  • Usage limits (maximum number of uses)
  • Custom short link identifier (optional)
  • Allowed inputs
  • Output visibility

RAG-backed Task revisions are not currently shareable because their collections are project-local. MCP-backed Task revisions can be shared; clone copies or reuses MCP server and tool metadata without copying credentials.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.
task_idstringRequiredformat: "uuid"
The specific Task to reference.

Request

This endpoint expects an object.
titlestring or nullOptional
descriptionstring or nullOptional
expires_atstring or nullOptionalformat: "date-time"
task_revision_idstring or nullOptionalformat: "uuid"
task_run_idstring or nullOptionalformat: "uuid"
Optional TaskRun ID to include as an example. Must belong to the task revision being shared.
custom_short_idstring or nullOptionalformat: "^[a-zA-Z0-9]+$"3-5 characters

Response

Successful Response
idstringformat: "uuid"
task_idstringformat: "uuid"
task_revision_idstringformat: "uuid"
user_idstringformat: "uuid"
task_namestring
Name of the associated task
short_idstring
share_urlstring
views_countinteger
activeboolean
createdstring
modifiedstring
titlestring or null
descriptionstring or null
expires_atstring or null
task_run_idstring or nullformat: "uuid"
Optional TaskRun ID included as an example of the task's performance.
tagslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error